package binary_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type BinaryBatchSignQueryRequest struct {
	// <ext>core:true</ext> 【批量操作id】批量操作id 【作用】 用于查询批量签署数据签名的结果，该参数可在调用 2.1.3纯接口批量签署数据签名（接口地址) 后的返回参数中获取
	BatchId string `json:"batchId,omitempty"`
}

func (obj BinaryBatchSignQueryRequest) GetUrl() string {
	return "/binary/batch/sign/query"
}

func (obj BinaryBatchSignQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
